Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class DuplicateObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.DuplicateObjectException

All Implemented Interfaces:
  Serializable

public class DuplicateObjectException
extends NetuixException

This exception is thrown when trying to create an object in the database and a unique key constraint is violated. Common example is inserting a portlet with the same definition label as another portlet.

See Also:
  Serialized Form

Constructor Summary
`DuplicateObjectException()` Constructs a `DuplicateObjectException` with no specified detail message.
`DuplicateObjectException(String s)` Constructs a `DuplicateObjectException` with the specified detail message.
`DuplicateObjectException(String s, Throwable cause)` Constructs a `DuplicateObjectException` with the specified detail message and causal exception.
`DuplicateObjectException(Throwable cause)` Constructs a `DuplicateObjectException` with the specified causal exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateObjectException

    public DuplicateObjectException()

  Constructs a `DuplicateObjectException` with no specified detail message.

### DuplicateObjectException

    public DuplicateObjectException(String s)

  Constructs a `DuplicateObjectException` with the specified detail message.

### DuplicateObjectException

    public DuplicateObjectException(String s,
                                    Throwable cause)

  Constructs a `DuplicateObjectException` with the specified detail message and causal exception.

### DuplicateObjectException

    public DuplicateObjectException(Throwable cause)

  Constructs a `DuplicateObjectException` with the specified causal exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved